html,
body {
  font-family: "Favorit", Helvetica, Arial, sans-serif;
  font-size: 16px;
  line-height: 1.5;
  width: 100%;
  min-height: 100vh;
  display: flex;
}
@keyframes line-scale {
  0% {
    transform: scaley(1);
  }
  50% {
    transform: scaley(0.4);
  }
  100% {
    transform: scaley(1);
  }
}
@keyframes fadein {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
.initial-loader {
  position: fixed;
  left: 0px;
  top: 0px;
  width: 100%;
  height: 100%;
  z-index: 9999;
  background: url(img/loader.gif) center no-repeat #fff;
}
.table-loader {
  animation: fadein 0.8s;
  width: 100px;
  height: 100px;
  z-index: 9999;
  margin: auto;
  background: url(img/loader.gif) center no-repeat #fff;
}
select:required:invalid {
  color: lightgray;
}
option[value=""][disabled],
option[value="0"][disabled] {
  display: none;
}
option {
  color: black;
}
.columns {
  width: 100%;
  height: 100%;
  margin-left: 0;
}
.menu-label {
  color: #8f99a3;
  letter-spacing: 1.3;
  font-weight: 700;
}
.menu-list a {
  color: #0f1d38;
  font-size: 14px;
  font-weight: 700;
}
.menu-list a:hover {
  background-color: transparent;
  color: #fefefe;
}
.menu-list a.is-active {
  background-color: transparent;
  color: #fefefe;
  font-weight: 700;
}
.menu-list .main-menu-icon.is-active {
  background-color: transparent;
  color: #777;
}
.table {
  border-radius: 5px;
  box-shadow:
    0 0.5em 1em -0.125em rgba(10, 10, 10, 0.1),
    0 0px 0 1px rgba(10, 10, 10, 0.02);
}
.table th:first-child {
  border-radius: 5px 0 0 0;
}
.table th:last-child {
  border-radius: 0 5px 0 0;
}
.table th {
  background-color: #4d4d4d;
  color: #fafafa !important;
}
.table-buttons {
  min-width: 7rem;
  max-width: 7rem;
  width: 7rem;
}
.table th {
  font-size: 0.9rem;
}
.table td {
  font-size: 1rem;
}
.table-no-data td {
  text-align: center !important;
  font-size: 2em;
  height: 3em;
  color: #ccc;
}
.table-clf-field {
  min-width: 150px;
}
.table-description-field {
  min-width: 200px;
}
table.table th .icon {
  vertical-align: middle;
  margin-right: 0.5rem;
}
table.table th .icon a,
table.table th .icon i {
  color: #fafafa;
}
.table td,
.table th {
  vertical-align: middle;
  line-height: 1rem;
}
.table-description-field-max-lg {
  max-width: 500px;
}
.icon a,
.icon i {
  color: #4d4d4d;
}
.icon a.hoverable:hover,
.icon i.hoverable:hover {
  color: #777 !important;
}
input[readonly] {
  color: #888;
}
.button.is-primary .icon i,
.button.is-primary .icon a {
  color: white;
}
.button.is-warning .icon i,
.button.is-warning .icon a {
  color: #4d4d4d;
}
.main-menu {
  width: 12%;
  min-width: 230px;
  background-color: #fcfcfc;
  padding: 2rem 1rem;
  box-shadow: 1px 0 7px #ddd;
  border-top: 1px solid #aaa;
  border-right: 1px solid #aaa;
  border-bottom: 1px solid #aaa;
  border-top-right-radius: 10px;
  border-bottom-right-radius: 10px;
  margin-bottom: 1rem;
}
.main-menu .menu-label {
  color: #333;
}
.main-menu .menu-list li a {
  color: #333;
}
.main-menu .menu-list li a:hover {
  color: #666;
}
.main-menu .menu-list li a.is-active,
.main-menu .menu-list li a.is-active:hover {
  color: #777;
}
input:invalid {
  border-color: #f14668;
}
input[readonly].date {
  color: #363636;
}
.flatpickr-day.selected {
  background: #4d4d4d;
  border-color: #4d4d4d;
}
.text-label {
  padding: 7px 0;
  display: inline-flex;
}
.grecaptcha-badge {
  visibility: hidden;
}
.icon.piano-validated a,
.icon.piano-validated i {
  color: #33cc33;
}
.icon.piano-not-validated a,
.icon.piano-not-validated i {
  color: #cc3333;
}
.search-result {
  padding-top: 0.5rem;
  padding-bottom: 0.2rem;
  padding-left: 1rem;
  padding-right: 1rem;
  max-width: 60%;
  border: 1px solid transparent;
}
.search-result .search-result-title {
  display: block;
  font-size: large;
  color: #3333aa;
}
.search-result .search-result-url {
  display: block;
  font-size: smaller;
  color: #33aa33;
}
.search-result .search-result-description {
  display: block;
  font-size: small;
  color: #333333;
}
.search-result:hover {
  background-color: #fafafa;
  border: 1px solid #ccc;
  border-radius: 3px;
}
.search-item-hoverable:hover {
  text-decoration: underline;
  cursor: pointer;
}
ul.pagination-list li ::marker {
  display: none;
}
.noselect {
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  cursor: default;
}
.button.is-light {
  background-color: #cecece;
}
.panel.is-primary.profile .user-info-banner {
  padding: 1rem;
  padding-bottom: 0;
  text-align: center;
}
.panel.is-primary.profile .user-info-banner img {
  max-height: 4rem;
  padding-right: 1rem;
}
.valign-center-box {
  display: flex;
  align-items: center;
}
.dropdown.is-small,
.dropdown-trigger.is-small,
.button.trigger.is-small,
.dropdown-menu.is-small {
  border-radius: 2px;
  font-size: 0.75rem;
}
.graph-svg-tip.comparison .title {
  color: #ccc;
  font-size: 14px;
}
hr {
  background-color: #4d4d4d;
}
.slaughter-item-print-range input {
  width: 6rem;
  text-align: center;
}
.worker-button {
  height: 3rem;
}
.header-search .main-event-search {
  border-radius: 2rem;
  background-color: #fafafa;
  font-size: 1rem;
  height: 2rem;
  line-height: 2rem;
  padding-top: 10px;
}
.event-banner img.image {
  width: 100% !important;
  height: 12rem !important;
  display: block;
  object-fit: cover;
}
.homepage-tabs ul {
  justify-content: center;
  gap: 10rem;
}
.static-page {
  margin-top: 2rem;
}
.static-page h1 {
  text-align: center;
}
.static-page h2 {
  text-align: center;
}
.static-page p {
  margin-bottom: 0.25em;
}
.field.dropdown-item {
  padding: 0px;
  margin-bottom: 0px;
}
.field.dropdown-item input {
  border: none;
  border-radius: 0px;
  box-shadow: none;
  margin-bottom: 0px;
}
.dropdown-menu {
  padding-top: 0;
  max-height: 20rem;
  border-radius: 4px;
  box-shadow:
    0 2px 3px rgba(10, 10, 10, 0.1),
    0 0 0 1px rgba(10, 10, 10, 0.1);
}
.dropdown-content {
  padding-top: 0;
}
.dropdown,
.dropdown-trigger,
.button.trigger,
.dropdown-menu {
  width: 100%;
  max-width: 100%;
}
.dropdown-text {
  margin-right: auto;
  text-align: left;
}
.dropdown-text.placeholder {
  color: #ccc;
}
.truncate {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
a.dropdown-item.fix1 {
  width: unset;
  max-width: unset;
  padding-right: unset;
}
.has-error .dropdown-trigger {
  border: 1px solid red;
}
.dropdown.is-danger {
  border: 1px solid #f14668;
  border-radius: 4px;
}
.dropdown-items {
  max-height: 20rem;
  overflow-y: auto;
}
.switch {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 34px;
}
.switch.condensed {
  height: 25px;
}
.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: 0.4s;
  transition: 0.4s;
}
.slider:before {
  position: absolute;
  content: "";
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: 0.4s;
  transition: 0.4s;
}
.switch.condensed .slider:before {
  height: 17px;
}
input:checked + .slider {
  background-color: #4d4d4d;
}
input:disabled + .slider {
  opacity: 0.4;
}
input:focus + .slider {
  box-shadow: 0 0 1px #4d4d4d;
}
input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}
.slider.round {
  border-radius: 34px;
}
.slider.round:before {
  border-radius: 50%;
}
